> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getCompanyBenefits

> 
The `getCompanyBenefits` API retrieves the details for a company's benefit elections

### What it does:
- Shows benefit elections on an employee-by-employee basis
- Provides employee and company contributions per payPeriod




## OpenAPI

````yaml get /reports/getCompanyBenefits
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getCompanyBenefits:
    get:
      tags: []
      summary: getCompanyBenefits
      description: >

        The `getCompanyBenefits` API retrieves the details for a company's
        benefit elections


        ### What it does:

        - Shows benefit elections on an employee-by-employee basis

        - Provides employee and company contributions per payPeriod
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getCompanyBenefits
              companyId: 9598E98F-A4DC-419E-96DC-26AC71F08111
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  Benefits:
                    type: array
                    items:
                      type: object
                      properties:
                        BenefitType:
                          type: string
                        Premium per pay period:
                          type: integer
                        Employer contribution per pay period:
                          type: integer
                        Employee covered:
                          type: integer
                      required:
                        - BenefitType
                        - Premium per pay period
                  EmployeeBenefitDetails:
                    type: array
                    items:
                      type: object
                      properties:
                        Employee:
                          type: string
                        EmployeeID:
                          type: string
                        BenefitType:
                          type: string
                        EffectiveStartMonthYear:
                          type: string
                        Status:
                          type: string
                        Employee contribution:
                          type: integer
                        Employer contribution:
                          type: integer
                        Pay Frequency:
                          type: string
                required:
                  - Benefits
                  - EmployeeBenefitDetails
              example:
                Benefits:
                  - BenefitType: Dental
                    Premium per pay period: 0
                  - BenefitType: Medical
                    Employer contribution per pay period: 0
                    Employee covered: 1
                    Premium per pay period: 250
                  - BenefitType: Vision
                    Premium per pay period: 0
                EmployeeBenefitDetails:
                  - Employee: Nia Stewart
                    EmployeeID: 2F3F1D5E-DB45-4268-89DB-E926C631B475
                    BenefitType: Medical
                    EffectiveStartMonthYear: October 2025
                    Status: Active
                    Employee contribution: 250
                    Employer contribution: 0
                    Pay Frequency: BiWeekly
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid CompanyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````